Bug 1149209 - xfce-settings-manager has two options for screensaver settings - one works and one don't
xfce-settings-manager has two options for screensaver settings - one works a...
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Xfce
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-03 13:48 UTC by Dominik Heidler
Modified: 2019-09-18 09:58 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Heidler 2019-09-03 13:48:23 UTC
The system was installed with xfce4 desktop.
The xfce4-screensaver process is running.
If you let the system idle for some time, the screensaver will invoke and the screen will get locked.
So the screensaver itself seems to work fine.

But when I open the xfce4-settings-manager there are two identical buttons for screensaver configuration.
If I open the first one, I will get a warning about XScreenSaver not running.
The 2nd one seems to work fine.
Comment 1 Maurizio Galli 2019-09-04 18:35:29 UTC
(In reply to Dominik Heidler from comment #0)
> The system was installed with xfce4 desktop.
> The xfce4-screensaver process is running.
> If you let the system idle for some time, the screensaver will invoke and
> the screen will get locked.
> So the screensaver itself seems to work fine.
> 
> But when I open the xfce4-settings-manager there are two identical buttons
> for screensaver configuration.
> If I open the first one, I will get a warning about XScreenSaver not running.
> The 2nd one seems to work fine.

xfce4-screensaver and XScrenSaver are two different programs providing a locker. In Tumbleweed we now use the newer xfce4-screensaver by default. For either xfce4-screensaver and XScreenSaver to work, either need to be enabled as autostart in xfce4-session. However do not enable both.

Simply uninstall XScreenSaver package if you're not using it (or xfce4-screensaver depending on your preference).
Comment 2 Dominik Heidler 2019-09-05 08:07:09 UTC
Then only the screensaver that should be used should be installed by default.
Otherwise there will be two settings that will confuse users.
Comment 3 Maurizio Galli 2019-09-05 08:10:41 UTC
That’s how it is. Now only xfce4-screensaver is installed by default in TW. If you still have XScreensaver, it’s from an older installation
Comment 4 Dominik Heidler 2019-09-05 08:49:32 UTC
(In reply to Maurizio Galli from comment #3)
> If you still have XScreensaver, it’s from an older installation

No it isn't.

This was is a fresh instalation in openQA.
And I verified it by manually installing TW with XFCE using default settings and xscreensaver was installed.
Comment 5 Marcel Kuehlhorn 2019-09-05 10:23:41 UTC
(In reply to Dominik Heidler from comment #4)
> This was is a fresh instalation in openQA.
> And I verified it by manually installing TW with XFCE using default settings
> and xscreensaver was installed.

Apparently xfce4-screensaver was recommending xscreensaver-data, leading to xscreensaver also getting installed.

I've sent a SR to downgrade the Recommends to Suggests for now, but we're also thinking about whether to drop it altogether.
Comment 6 Takashi Iwai 2019-09-05 12:16:58 UTC
Maybe we should have Conflicts in xfce4-screensaver, not only dropping Recommends.  Otherwise the same problem will still occur after upgrade on a system that has already xscreensaver.
Comment 7 Maurizio Galli 2019-09-06 04:06:23 UTC
(In reply to Takashi Iwai from comment #6)
> Maybe we should have Conflicts in xfce4-screensaver, not only dropping
> Recommends.  Otherwise the same problem will still occur after upgrade on a
> system that has already xscreensaver.

Usually I  hate introducing a conflict as I find it an "inelegant" solution but I agree that in this case it might be necessary
Comment 8 Marcel Kuehlhorn 2019-09-12 16:38:40 UTC
Tumbleweed snapshot 20190909 has the updated package
Comment 9 Dominik Heidler 2019-09-18 09:58:24 UTC
Verified in 20190916